.mozaika {
  margin-top: 1rem;
  margin-bottom: 0.5rem;
}
@media (max-width: 768px) {
  .mozaika {
    margin-top: 0.5rem;
  }
}
.mozaika .mozaika__grid {
  display: grid;
  grid-template-columns: 3fr 2fr 2fr;
  gap: 0.5rem;
}
@media (max-width: 768px) {
  .mozaika .mozaika__grid {
    grid-template-columns: 1fr 1fr;
  }
}
.mozaika .mozaika__grid .mozaika__item {
  position: relative;
  overflow: hidden;
}
.mozaika .mozaika__grid .mozaika__item:hover img {
  transform: scale(1.05);
}
.mozaika .mozaika__grid .mozaika__item img {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition-duration: 0.66s;
}
.mozaika .mozaika__grid .mozaika__item h3 {
  position: absolute;
  bottom: 0;
  left: 1rem;
  z-index: 2;
  color: white;
  text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.5);
  font-size: 1.5rem;
}
.mozaika .mozaika__grid .mozaika__item:first-of-type, .mozaika .mozaika__grid .mozaika__item:nth-child(5n+1) {
  grid-row: span 2;
  aspect-ratio: 1;
}
.mozaika .mozaika__grid .mozaika__item:first-of-type h3, .mozaika .mozaika__grid .mozaika__item:nth-child(5n+1) h3 {
  font-size: 2rem;
  bottom: 0;
}
@media (max-width: 768px) {
  .mozaika .mozaika__grid .mozaika__item:first-of-type, .mozaika .mozaika__grid .mozaika__item:nth-child(5n+1) {
    grid-row: auto;
    grid-column: span 2;
    aspect-ratio: 1.5;
  }
  .mozaika .mozaika__grid .mozaika__item:first-of-type h3, .mozaika .mozaika__grid .mozaika__item:nth-child(5n+1) h3 {
    font-size: 3.5rem;
  }
}
@media (max-width: 768px) {
  .mozaika .mozaika__grid .mozaika__item {
    aspect-ratio: 1;
  }
  .mozaika .mozaika__grid .mozaika__item h3 {
    font-size: 2.5rem;
  }
}